Documentation Center

Delete a Global Configuration Item

Deletes a single global configuration item identified by name.

The following global configuration items cannot be deleted: "app.skin", "app.language", "audit.enable", "cache.data.enable", "cache.xsl.enable", "search.filter.enable", "audit.aggregation.enable", "audit.garbagecollection.enable", "xforms.aggregation.enable", "analytics.optimization.enable", "social.enable", "audit.aggregation.age", "index.binary.formats", "search.ignore", "prepared", "working_status".

Request

URI: /v2/config/{item_name}

HTTP Method: DELETE

Header params:
  • Accept: [application/json] OR [application/xml]
  • Content-Type: [application/json] OR [application/xml]
PATH Parameter(s):
  • item_name: The name of the global configuration name to delete.

Response

Success
  • XML: <result statusCode="0" status="SUCCESS" messageKey="Action = delete config item" message="Action = delete config item"><info xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="apiInfoModel" value="1" name="Deleted objects"/></result>
  • JSON: {"statusCode":0,"messageKey":"Action = delete config item", "message":"Action = delete config item", "status":"SUCCESS", "info":[{"name":"Deleted objects", "value":"1"}]}
Failed
  • XML: <result statusCode="500" status="FAIL" messageKey="Failed, Action delete config item" message="Failed, Action delete config item"/>
  • JSON: {"statusCode":500,"messageKey":"Failed, Action delete config item", "message":"Failed, Action delete config item", "status":"FAIL", "info":[]}

Permissions

"Manage application"

Example

Request:

DELETE http://example.corp:8080/LiveContent/v2/config/app.example

Response:

<result statusCode="0" status="SUCCESS" messageKey="Action = delete config item" message="Action = delete config item"><info xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="apiInfoModel" value="1" name="Deleted objects"/></result>